Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RMatch Struct Reference

`#include <re.h>`

## Data Fields
struct RBasic | basic
VALUE | str
struct rmatch * | rmatch
VALUE | regexp

## Detailed Description

Definition at line 43 of file re.h.

## Field Documentation

## ◆ basic

struct RBasic RMatch::basic

Definition at line 44 of file re.h.

## ◆ regexp

VALUE RMatch::regexp

Definition at line 47 of file re.h.

## ◆ rmatch

struct rmatch* RMatch::rmatch

Definition at line 46 of file re.h.

## ◆ str

VALUE RMatch::str

Definition at line 45 of file re.h.

The documentation for this struct was generated from the following file:

- include/ruby/re.h